View Issue Details

IDProjectCategoryView StatusLast Update
0015375LazarusLCLpublic2012-02-05 11:51
ReporterKjow Assigned ToZeljan Rikalo  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version0.9.29 (SVN) 
Target Version1.0.0 
Summary0015375: TPageControl doesn'r change Caption color.
DescriptionJust add in a new project a TPageControl and try to change color font, it always remain black (components like labels change colors right!).

I need a black form, but without possibility to change caption of tabsheet's pagecontrol I can't use it.
Additional Information"Similar" components like TGroupBox change caption color right.
TagsNo tags attached.
Fixed in Revision35147
LazTarget1.0
WidgetsetGTK 2
Attached Files

Relationships

related to 0015090 closedPaul Ishenin Color and Font.Color propertys in TGroupBox are not working 

Activities

2009-12-19 10:41

 

0015375.zip (419,644 bytes)

samuel herzog

2009-12-19 10:43

developer   ~0033185

Uploaded example project. It's also not working on win32.

TFont has no OnChange event.
So how should the component get informed to repaint without this information?

samuel herzog

2009-12-20 16:53

developer   ~0033205

It might be the same problem as 0015090. Components do not get informed if the TFont-object is changed.

Zeljan Rikalo

2012-02-04 21:07

developer   ~0056489

Problem is bit different here and gtk2 related - GtkLabel of GtkNotebook tab should be updated for new font, but seem that color cannot be changed for some reason ... I'll see tomorrow if this can be fixed at all.

Zeljan Rikalo

2012-02-05 11:50

developer   ~0056506

Please test and close if ok.

Issue History

Date Modified Username Field Change
2009-12-18 00:50 Kjow New Issue
2009-12-18 00:50 Kjow Widgetset => GTK 2
2009-12-18 09:04 Vincent Snijders LazTarget => 1.0
2009-12-18 09:04 Vincent Snijders Status new => acknowledged
2009-12-18 09:04 Vincent Snijders Target Version => 1.0.0
2009-12-19 10:41 samuel herzog File Added: 0015375.zip
2009-12-19 10:43 samuel herzog Note Added: 0033185
2009-12-20 16:53 samuel herzog Note Added: 0033205
2011-04-04 08:13 Zeljan Rikalo Relationship added related to 0015090
2012-02-04 13:23 Zeljan Rikalo Status acknowledged => assigned
2012-02-04 13:23 Zeljan Rikalo Assigned To => Zeljan Rikalo
2012-02-04 21:07 Zeljan Rikalo Note Added: 0056489
2012-02-05 11:50 Zeljan Rikalo Fixed in Revision => 35147
2012-02-05 11:50 Zeljan Rikalo Status assigned => resolved
2012-02-05 11:50 Zeljan Rikalo Resolution open => fixed
2012-02-05 11:50 Zeljan Rikalo Note Added: 0056506